Package org.apache.sling.feature.maven

# Class FeatureProjectInfo

java.lang.Object
org.apache.sling.feature.maven.FeatureProjectInfo

public class FeatureProjectInfo extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final Map<String,org.apache.sling.feature.Feature>`
`assembledFeatures`
`final Map<String,org.apache.sling.feature.Feature>`
`assembledTestFeatures`
`boolean`
`featureDone`
`final Map<String,org.apache.sling.feature.Feature>`
`features`
`org.apache.maven.model.Plugin`
`plugin`
`org.apache.maven.project.MavenProject`
`project`
`boolean`
`testFeatureDone`
`final Map<String,org.apache.sling.feature.Feature>`
`testFeatures`

## Constructor Summary

Constructors
Constructor
Description
`FeatureProjectInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### project

public org.apache.maven.project.MavenProject project

### plugin

public org.apache.maven.model.Plugin plugin

### featureDone

public boolean featureDone

### testFeatureDone

public boolean testFeatureDone

### features

public final Map<String,org.apache.sling.feature.Feature> features

### assembledFeatures

public final Map<String,org.apache.sling.feature.Feature> assembledFeatures

### testFeatures

public final Map<String,org.apache.sling.feature.Feature> testFeatures

### assembledTestFeatures

public final Map<String,org.apache.sling.feature.Feature> assembledTestFeatures

## Constructor Details

### FeatureProjectInfo

public FeatureProjectInfo()